Bug 511713 - FTBFS vdr-1.6.0-23.fc12
FTBFS vdr-1.6.0-23.fc12
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vdr (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
:
Depends On: 483644
Blocks: F12FTBFS
  Show dependency treegraph
 
Reported: 2009-07-14 23:58 EDT by FTBFS
Modified: 2009-07-26 12:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: vdr-1.6.0-26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-26 12:18:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
root.log (100.59 KB, text/plain)
2009-07-14 23:58 EDT, FTBFS
no flags Details
build.log (35.91 KB, text/plain)
2009-07-14 23:58 EDT, FTBFS
no flags Details
mock.log (1.00 KB, text/plain)
2009-07-14 23:58 EDT, FTBFS
no flags Details

  None (edit)
Description FTBFS 2009-07-14 23:58:14 EDT
vdr-1.6.0-23.fc12.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
Comment 1 FTBFS 2009-07-14 23:58:17 EDT
Setting to ASSIGNED per Fedora Bug Triage workflow.  https://fedoraproject.org/wiki/BugZappers/BugStatusWorkFlow
Comment 2 FTBFS 2009-07-14 23:58:20 EDT
Created attachment 353314 [details]
root.log

root.log for x86_64
Comment 3 FTBFS 2009-07-14 23:58:21 EDT
Created attachment 353315 [details]
build.log

build.log for x86_64
Comment 4 FTBFS 2009-07-14 23:58:22 EDT
Created attachment 353316 [details]
mock.log

mock.log for x86_64
Comment 5 Ville Skyttä 2009-07-15 01:46:16 EDT
AFAIU this is a kernel-headers DVB headers issue - kernel-maint@, thoughts?

In file included from dvbdevice.h:13,
                 from vdr.c:45:
/usr/include/linux/dvb/frontend.h:92: error: '__u8' does not name a type
/usr/include/linux/dvb/frontend.h:93: error: '__u8' does not name a type
/usr/include/linux/dvb/frontend.h:98: error: '__u8' does not name a type
/usr/include/linux/dvb/frontend.h:99: error: '__u8' does not name a type
/usr/include/linux/dvb/frontend.h:330: error: '__u8' does not name a type
Comment 6 Ville Skyttä 2009-07-26 12:18:04 EDT
Workaround applied, real fix depends on what happens to stuff in comment 5 and bug 483644 regarding DVB stuff in kernel-headers.

Note You need to log in before you can comment on or make changes to this bug.